DNSTaskStarter.Factory
Date: 2017-02-10

javax.jmdns.impl

## Class DNSTaskStarter.Factory

- java.lang.Object
- - javax.jmdns.impl.DNSTaskStarter.Factory

- Enclosing interface:
    DNSTaskStarter

      public static final class DNSTaskStarter.Factory
      extends java.lang.Object

  DNSTaskStarter.Factory enable the creation of new instance of DNSTaskStarter.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DNSTaskStarter.Factory.ClassDelegate` This interface defines a delegate to the DNSTaskStarter class to enable subclassing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DNSTaskStarter.Factory.ClassDelegate` | `classDelegate()` Returns DNSTaskStarter's class delegate.
    `static DNSTaskStarter.Factory` | `getInstance()` Return the instance of the DNSTaskStarter Factory.
    `DNSTaskStarter` | `getStarter(JmDNSImpl jmDNSImpl)` Return the instance of the DNSTaskStarter for the JmDNS.
    `protected static DNSTaskStarter` | `newDNSTaskStarter(JmDNSImpl jmDNSImpl)` Returns a new instance of DNSTaskStarter using the class delegate if it exists.
    `static void` | `setClassDelegate(DNSTaskStarter.Factory.ClassDelegate delegate)` Assigns `delegate` as DNSTaskStarter's class delegate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setClassDelegate

          public static void setClassDelegate(DNSTaskStarter.Factory.ClassDelegate delegate)

      Assigns `delegate` as DNSTaskStarter's class delegate. The class delegate is optional.
      Parameters:
        `delegate` - The object to set as DNSTaskStarter's class delegate.
      See Also:
        `classDelegate()`, `DNSTaskStarter.Factory.ClassDelegate`

    - #### classDelegate

          public static DNSTaskStarter.Factory.ClassDelegate classDelegate()

      Returns DNSTaskStarter's class delegate.
      Returns:
        DNSTaskStarter's class delegate.
      See Also:
        `setClassDelegate(ClassDelegate anObject)`, `DNSTaskStarter.Factory.ClassDelegate`

    - #### newDNSTaskStarter

          protected static DNSTaskStarter newDNSTaskStarter(JmDNSImpl jmDNSImpl)

      Returns a new instance of DNSTaskStarter using the class delegate if it exists.
      Parameters:
        `jmDNSImpl` - jmDNS instance
      Returns:
        new instance of DNSTaskStarter

    - #### getInstance

          public static DNSTaskStarter.Factory getInstance()

      Return the instance of the DNSTaskStarter Factory.
      Returns:
        DNSTaskStarter Factory

    - #### getStarter

          public DNSTaskStarter getStarter(JmDNSImpl jmDNSImpl)

      Return the instance of the DNSTaskStarter for the JmDNS.
      Parameters:
        `jmDNSImpl` - jmDNS instance
      Returns:
        the DNSTaskStarter